<html>
<head>
<title>Ogre::Polygon Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Polygon Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Polygon" -->
<p>The class represents a polygon in 3D space.  
 <a href="classOgre_1_1Polygon.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Polygon-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a55b73fdabd35c480dd873009c546c20f">VertexList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">EdgeMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::pair&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#ae6e7019c9a29ef5eb95e6c063d355830">Edge</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a1530c1d4761371c423916f4b497d612e">Polygon</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a7ce008c85c18f7c28776a7e6b5fb60f3">~Polygon</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a86fb38e409c2792034bb6754ff373dc0">Polygon</a> (const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;cpy)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a8853087632d98ac16fa4e1c04e537353">insertVertex</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata, size_t vertexIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inserts a vertex at a specific position.  <a href="#a8853087632d98ac16fa4e1c04e537353"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#ac32b2d0a6e7c0cee21471fdaf6da13c4">insertVertex</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inserts a vertex at the end of the polygon.  <a href="#ac32b2d0a6e7c0cee21471fdaf6da13c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a78fc87812be94651e58cd99d7cdbef54">getVertex</a> (size_t vertex) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a vertex.  <a href="#a78fc87812be94651e58cd99d7cdbef54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a0d19a9876f714cde041e3b7c4598e3b4">setVertex</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata, size_t vertexIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a specific vertex of a polygon.  <a href="#a0d19a9876f714cde041e3b7c4598e3b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a777fe4198b330b2df854b68128299f5c">removeDuplicates</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes duplicate vertices from a polygon.  <a href="#a777fe4198b330b2df854b68128299f5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#ab61dd0f578a0aee7661960f2d4bd5bb4">getVertexCount</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex count.  <a href="#ab61dd0f578a0aee7661960f2d4bd5bb4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a0100a07d75320fd53507a8cae501ac9f">getNormal</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the polygon normal.  <a href="#a0100a07d75320fd53507a8cae501ac9f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a2326d35755fe008fb437c208c6b007d6">deleteVertex</a> (size_t vertex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a specific vertex.  <a href="#a2326d35755fe008fb437c208c6b007d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a5717042c4fc6f8e75c34b51915fb79d8">isPointInside</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;point) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines if a point is inside the polygon.  <a href="#a5717042c4fc6f8e75c34b51915fb79d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a61ad0b21fa73c9019690da206dfeef88">storeEdges</a> (<a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">EdgeMap</a> *edgeMap) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the edges of the polygon in ccw order.  <a href="#a61ad0b21fa73c9019690da206dfeef88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a9db9518c3381e7a840610bf181d65b73">reset</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets the object.  <a href="#a9db9518c3381e7a840610bf181d65b73"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#ae607fbd8d07ef696d741499e4fe47673">operator==</a> (const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines if the current object is equal to the compared one.  <a href="#ae607fbd8d07ef696d741499e4fe47673"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a0db7b835ad9015300d80253f0e7438cf">operator!=</a> (const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines if the current object is not equal to the compared one.  <a href="#a0db7b835ad9015300d80253f0e7438cf"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#ac11017ced7459ae880bc1b2bf3d54606">updateNormal</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the normal.  <a href="#ac11017ced7459ae880bc1b2bf3d54606"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Polygon.html#a55b73fdabd35c480dd873009c546c20f">VertexList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a44797951e46517046987e8e73c86f060">mVertexList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a52453dc3845392de7cfb9516d92d8111">mNormal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a371dbd706469fcd3a09e6cc9de307a31">mIsNormalSet</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html#a4ecd1e0336a4e27b0c09ae3f75a1da72">operator&lt;&lt;</a> (std::ostream &amp;strm, const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;poly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints out the polygon data.  <a href="#a4ecd1e0336a4e27b0c09ae3f75a1da72"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The class represents a polygon in 3D space. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>It is made up of 3 or more vertices in a single plane, listed in counter-clockwise order. </dd></dl>

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00051">51</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ae6e7019c9a29ef5eb95e6c063d355830"></a><!-- doxytag: member="Ogre::Polygon::Edge" ref="ae6e7019c9a29ef5eb95e6c063d355830" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1Polygon.html#ae6e7019c9a29ef5eb95e6c063d355830">Ogre::Polygon::Edge</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a41cea1c56ef6ae8aec9e15b63a0cd4a6"></a><!-- doxytag: member="Ogre::Polygon::EdgeMap" ref="a41cea1c56ef6ae8aec9e15b63a0cd4a6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">Ogre::Polygon::EdgeMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00057">57</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a55b73fdabd35c480dd873009c546c20f"></a><!-- doxytag: member="Ogre::Polygon::VertexList" ref="a55b73fdabd35c480dd873009c546c20f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1Polygon.html#a55b73fdabd35c480dd873009c546c20f">Ogre::Polygon::VertexList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00055">55</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1530c1d4761371c423916f4b497d612e"></a><!-- doxytag: member="Ogre::Polygon::Polygon" ref="a1530c1d4761371c423916f4b497d612e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#a1530c1d4761371c423916f4b497d612e">Ogre::Polygon::Polygon</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7ce008c85c18f7c28776a7e6b5fb60f3"></a><!-- doxytag: member="Ogre::Polygon::~Polygon" ref="a7ce008c85c18f7c28776a7e6b5fb60f3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#a7ce008c85c18f7c28776a7e6b5fb60f3">Ogre::Polygon::~Polygon</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a86fb38e409c2792034bb6754ff373dc0"></a><!-- doxytag: member="Ogre::Polygon::Polygon" ref="a86fb38e409c2792034bb6754ff373dc0" args="(const Polygon &amp;cpy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#a1530c1d4761371c423916f4b497d612e">Ogre::Polygon::Polygon</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&#160;</td>
          <td class="paramname"><em>cpy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2326d35755fe008fb437c208c6b007d6"></a><!-- doxytag: member="Ogre::Polygon::deleteVertex" ref="a2326d35755fe008fb437c208c6b007d6" args="(size_t vertex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#a2326d35755fe008fb437c208c6b007d6">Ogre::Polygon::deleteVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Deletes a specific vertex. </p>

</div>
</div>
<a class="anchor" id="a0100a07d75320fd53507a8cae501ac9f"></a><!-- doxytag: member="Ogre::Polygon::getNormal" ref="a0100a07d75320fd53507a8cae501ac9f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Polygon.html#a0100a07d75320fd53507a8cae501ac9f">Ogre::Polygon::getNormal</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the polygon normal. </p>

</div>
</div>
<a class="anchor" id="a78fc87812be94651e58cd99d7cdbef54"></a><!-- doxytag: member="Ogre::Polygon::getVertex" ref="a78fc87812be94651e58cd99d7cdbef54" args="(size_t vertex) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Polygon.html#a78fc87812be94651e58cd99d7cdbef54">Ogre::Polygon::getVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertex</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a vertex. </p>

</div>
</div>
<a class="anchor" id="ab61dd0f578a0aee7661960f2d4bd5bb4"></a><!-- doxytag: member="Ogre::Polygon::getVertexCount" ref="ab61dd0f578a0aee7661960f2d4bd5bb4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1Polygon.html#ab61dd0f578a0aee7661960f2d4bd5bb4">Ogre::Polygon::getVertexCount</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vertex count. </p>

</div>
</div>
<a class="anchor" id="a8853087632d98ac16fa4e1c04e537353"></a><!-- doxytag: member="Ogre::Polygon::insertVertex" ref="a8853087632d98ac16fa4e1c04e537353" args="(const Vector3 &amp;vdata, size_t vertexIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#a8853087632d98ac16fa4e1c04e537353">Ogre::Polygon::insertVertex</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertexIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inserts a vertex at a specific position. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Vertices must be coplanar. </dd></dl>

</div>
</div>
<a class="anchor" id="ac32b2d0a6e7c0cee21471fdaf6da13c4"></a><!-- doxytag: member="Ogre::Polygon::insertVertex" ref="ac32b2d0a6e7c0cee21471fdaf6da13c4" args="(const Vector3 &amp;vdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#a8853087632d98ac16fa4e1c04e537353">Ogre::Polygon::insertVertex</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vdata</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inserts a vertex at the end of the polygon. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Vertices must be coplanar. </dd></dl>

</div>
</div>
<a class="anchor" id="a5717042c4fc6f8e75c34b51915fb79d8"></a><!-- doxytag: member="Ogre::Polygon::isPointInside" ref="a5717042c4fc6f8e75c34b51915fb79d8" args="(const Vector3 &amp;point) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Polygon.html#a5717042c4fc6f8e75c34b51915fb79d8">Ogre::Polygon::isPointInside</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>point</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determines if a point is inside the polygon. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>A point is inside a polygon if it is both on the polygon's plane, and within the polygon's bounds. Polygons are assumed to be convex and planar. </dd></dl>

</div>
</div>
<a class="anchor" id="a0db7b835ad9015300d80253f0e7438cf"></a><!-- doxytag: member="Ogre::Polygon::operator!=" ref="a0db7b835ad9015300d80253f0e7438cf" args="(const Polygon &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Polygon::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determines if the current object is not equal to the compared one. </p>

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00132">132</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae607fbd8d07ef696d741499e4fe47673"></a><!-- doxytag: member="Ogre::Polygon::operator==" ref="ae607fbd8d07ef696d741499e4fe47673" args="(const Polygon &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Polygon::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determines if the current object is equal to the compared one. </p>

</div>
</div>
<a class="anchor" id="a777fe4198b330b2df854b68128299f5c"></a><!-- doxytag: member="Ogre::Polygon::removeDuplicates" ref="a777fe4198b330b2df854b68128299f5c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#a777fe4198b330b2df854b68128299f5c">Ogre::Polygon::removeDuplicates</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes duplicate vertices from a polygon. </p>

</div>
</div>
<a class="anchor" id="a9db9518c3381e7a840610bf181d65b73"></a><!-- doxytag: member="Ogre::Polygon::reset" ref="a9db9518c3381e7a840610bf181d65b73" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#a9db9518c3381e7a840610bf181d65b73">Ogre::Polygon::reset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets the object. </p>

</div>
</div>
<a class="anchor" id="a0d19a9876f714cde041e3b7c4598e3b4"></a><!-- doxytag: member="Ogre::Polygon::setVertex" ref="a0d19a9876f714cde041e3b7c4598e3b4" args="(const Vector3 &amp;vdata, size_t vertexIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#a0d19a9876f714cde041e3b7c4598e3b4">Ogre::Polygon::setVertex</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertexIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets a specific vertex of a polygon. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Vertices must be coplanar. </dd></dl>

</div>
</div>
<a class="anchor" id="a61ad0b21fa73c9019690da206dfeef88"></a><!-- doxytag: member="Ogre::Polygon::storeEdges" ref="a61ad0b21fa73c9019690da206dfeef88" args="(EdgeMap *edgeMap) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#a61ad0b21fa73c9019690da206dfeef88">Ogre::Polygon::storeEdges</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">EdgeMap</a> *&#160;</td>
          <td class="paramname"><em>edgeMap</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stores the edges of the polygon in ccw order. </p>
<p>The vertices are copied so the user has to take the deletion into account. </p>

</div>
</div>
<a class="anchor" id="ac11017ced7459ae880bc1b2bf3d54606"></a><!-- doxytag: member="Ogre::Polygon::updateNormal" ref="ac11017ced7459ae880bc1b2bf3d54606" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Polygon.html#ac11017ced7459ae880bc1b2bf3d54606">Ogre::Polygon::updateNormal</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates the normal. </p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a4ecd1e0336a4e27b0c09ae3f75a1da72"></a><!-- doxytag: member="Ogre::Polygon::operator&lt;&lt;" ref="a4ecd1e0336a4e27b0c09ae3f75a1da72" args="(std::ostream &amp;strm, const Polygon &amp;poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&#160;</td>
          <td class="paramname"><em>poly</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Prints out the polygon data. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a371dbd706469fcd3a09e6cc9de307a31"></a><!-- doxytag: member="Ogre::Polygon::mIsNormalSet" ref="a371dbd706469fcd3a09e6cc9de307a31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Polygon.html#a371dbd706469fcd3a09e6cc9de307a31">Ogre::Polygon::mIsNormalSet</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00063">63</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a52453dc3845392de7cfb9516d92d8111"></a><!-- doxytag: member="Ogre::Polygon::mNormal" ref="a52453dc3845392de7cfb9516d92d8111" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Polygon.html#a52453dc3845392de7cfb9516d92d8111">Ogre::Polygon::mNormal</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00062">62</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a44797951e46517046987e8e73c86f060"></a><!-- doxytag: member="Ogre::Polygon::mVertexList" ref="a44797951e46517046987e8e73c86f060" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#a55b73fdabd35c480dd873009c546c20f">VertexList</a> <a class="el" href="classOgre_1_1Polygon.html#a44797951e46517046987e8e73c86f060">Ogre::Polygon::mVertexList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePolygon_8h_source.html#l00061">61</a> of file <a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePolygon_8h_source.html">OgrePolygon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
